LookupValidationParams

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.send.java
Class LookupValidationParams

    java.lang.Object
      org.openswing.swing.message.send.java.LookupValidationParams

All Implemented Interfaces:
  java.io.Serializable

public class LookupValidationParams
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Parameters generated by the lookup controller to validate code.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`LookupValidationParams(java.lang.String code, java.util.Map lookupValidationParameters)`

Method Summary
`java.lang.String` | `getCode()`
`java.util.Map` | `getLookupValidationParameters()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupValidationParams

    public LookupValidationParams(java.lang.String code,
                                  java.util.Map lookupValidationParameters)

Parameters:
  `code` - code to validate
  `lookupValidationParameters` - parameters used to validate code (optionals)

Method Detail

### getLookupValidationParameters

    public final java.util.Map getLookupValidationParameters()

  Returns:
    parameters used to validate code (optionals)

### getCode

    public final java.lang.String getCode()

  Returns:
    code to validate

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD